/* MiscTreeBrowser
 *
 */

// IMPORTS

#import <appkit/ScrollView.h>


// CLASSES

@class MiscTreeBrowserMatrix, List;


// INTERFACE

@interface MiscTreeBrowser:ScrollView
{
  MiscTreeBrowserMatrix *cellMatrix; /*" underlying matrix of MiscTreeBrowserCells "*/
}

- init;
- initFrame:(const NXRect *)frameRect;
- free;

- cellMatrix;

- setFont:aFont;
- font;

- setRoot:anObject;

- addRoot:anObject;
- addRoot:anObject atIndex:(unsigned int)index;

- addChild:anObject;
- addChild:anObject atIndex:(unsigned int)index;

- addSibling:anObject;
- addSibling:anObject atIndex:(unsigned int)index;

- removeNode;

- removeCellAt:(int)index;
- addCellAt:(int)index;

- reloadFromNode:aNode;
- reload;

// opening and closing cells

- openCell:aCell;
- closeCell:aCell;

@end
