/* MiscTreeBrowserMatrix
 *
 */

// IMPORTS

#import <appkit/Matrix.h>


// CLASSES

@class MiscTreeBrowserCell, TextField, TextFieldCell;


// INTERFACE

@interface MiscTreeBrowserMatrix:Matrix
{
	TextField *editField;		/*" used to edit cells "*/
	MiscTreeBrowserCell *editCell;	/*" NULL, or cell being edited "*/
	TextFieldCell *textCell;	/*" used by  cells for drawing titles "*/
	BOOL wasEditing;			/*" YES if user was editing a cell "*/
}

- sharedTextCell;

- mouseDown:(NXEvent *)theEvent;
- keyDown:(NXEvent *)theEvent;

- (NXColor)cellColor;

- editCell:aCell;
- (BOOL)isEditing;

@end
