// PROTOCOLS

@protocol MiscTreeBrowserNodes

- free;
- (BOOL)canFree;

- setStringValue:(const char *)aString;
- (const char *)stringValue;

- (id <MiscTreeBrowserNodes>)parent;
- (unsigned int)childCount;
- (id <MiscTreeBrowserNodes>)childAt:(int)index;

- (id <MiscTreeBrowserNodes>)parent;
- setParent:(id <MiscTreeBrowserNodes>)aNode;

- createSibling;

- addChild:(id <MiscTreeBrowserNodes>)aNode at:(int)index;
- addChild:(id <MiscTreeBrowserNodes>)aNode;

- removeChild:(id <MiscTreeBrowserNodes>)aNode;

@end
